curl https://zeplo.ai/api/platform-settings \
-H "x-api-key: YOUR_API_KEY" \
-H "x-api-secret: YOUR_API_SECRET" \
-H "x-channel-id: YOUR_CHANNEL_ID"
Settings
GET Platform Settings
Manage platform-wide configuration.
GET
/
api
/
platform-settings
curl https://zeplo.ai/api/platform-settings \
-H "x-api-key: YOUR_API_KEY" \
-H "x-api-secret: YOUR_API_SECRET" \
-H "x-channel-id: YOUR_CHANNEL_ID"
Get platform settings
GET /api/platform-settings
Manage global platform settings (superadmin only for writes).
Headers
string
required
Your API key
string
required
Your API secret key
string
required
WhatsApp channel ID
curl https://zeplo.ai/api/platform-settings \
-H "x-api-key: YOUR_API_KEY" \
-H "x-api-secret: YOUR_API_SECRET" \
-H "x-channel-id: YOUR_CHANNEL_ID"
Update platform settings
PUT /api/platform-settings
{
"appName": "My WhatsApp Platform",
"appUrl": "https://myapp.com",
"supportEmail": "support@myapp.com",
"defaultLanguage": "en",
"maintenanceMode": false,
"registrationEnabled": true,
"maxChannelsPerUser": 5
}
Panel configuration
| Endpoint | Method | Description |
|---|---|---|
/api/panel | GET | Get all panel configs |
/api/panel | POST | Create panel config |
/api/panel/:id | GET | Get panel config by ID |
/api/panel/:id | PUT | Update panel config |
/api/panel/:id | DELETE | Delete panel config |
Brand settings
| Endpoint | Method | Description |
|---|---|---|
/api/brand-settings | GET | Get brand settings |
/api/brand-settings | POST | Create brand settings |
/api/brand-settings | PUT | Update brand settings |
{
"logo": "https://cdn.example.com/logo.png",
"primaryColor": "#16A34A",
"companyName": "My Company",
"favicon": "https://cdn.example.com/favicon.ico"
}
